/*
 * managing the state of the system with the LED RGB color
 */

const int ledPin_R=A4;
const int ledPin_G=A3;
const int ledPin_B=A2;

const int light_on_value = LOW;
const int light_off_value = HIGH;

void setup_stateMngr(){
  pinMode(ledPin_R, OUTPUT); 
  pinMode(ledPin_G, OUTPUT); 
  pinMode(ledPin_B, OUTPUT); 
  
}
void loop_stateMngr(){
  switch(currState){
    case SYS_STT_WAKING: light_blue();break;
    case SYS_STT_READY: light_green();break;
    case SYS_STT_ENTERED: light_red();break;
  }
}
void light_off(){
  digitalWrite(ledPin_R, light_off_value); 
  digitalWrite(ledPin_G, light_off_value); 
  digitalWrite(ledPin_B, light_off_value);   
}
void light_red(){
  light_off();
  digitalWrite(ledPin_R, light_on_value); 
}
void light_green(){
  light_off();
  digitalWrite(ledPin_G, light_on_value); 
}
void light_blue(){
  light_off();
  digitalWrite(ledPin_B, light_on_value); 
}

